Skip to main content
GET
/
api
/
v1
/
custom_pipelines
List Custom Pipelines
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "pipelines": [
    {
      "pipeline_id": "<string>",
      "request_description": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "name": "<string>",
      "success": true,
      "completed_at": "<string>",
      "error_message": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

Response schema for listing all custom pipelines.

pipelines
PipelineListItem · object[]

List of custom pipelines